import type { DeleteFolderScope } from "./DeleteFolderScope";
import type { FolderPath } from "./FolderPath";
export declare type DeleteFolderRequest = {
    folderPath: FolderPath;
    /**
     * If true, does not delete folder settings at the 'folderPath' or its descendants.
     *
     * Default: false
     */
    retainFolderSettings?: boolean;
    scope?: DeleteFolderScope;
};
