/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
export { ApiError } from "./core/ApiError";
export { OpenAPI } from "./core/OpenAPI";

export type { AccountCustomDomain } from "./models/AccountCustomDomain";
export type { AccountCustomDomainActive } from "./models/AccountCustomDomainActive";
export type { AccountCustomDomainVerifyingCNameCreation } from "./models/AccountCustomDomainVerifyingCNameCreation";
export type { AccountCustomDomainVerifyingOwnership } from "./models/AccountCustomDomainVerifyingOwnership";
export type { AccountFeaturesPreset } from "./models/AccountFeaturesPreset";
export type { AccountFeaturesValues } from "./models/AccountFeaturesValues";
export type { AccountId } from "./models/AccountId";
export type { AccountJobId } from "./models/AccountJobId";
export type { AccountJobStatus } from "./models/AccountJobStatus";
export type { AccountJobType } from "./models/AccountJobType";
export type { AccountMemberRole } from "./models/AccountMemberRole";
export type { AccountQuotasPreset } from "./models/AccountQuotasPreset";
export type { AccountQuotasValues } from "./models/AccountQuotasValues";
export type { AllowedOrigin } from "./models/AllowedOrigin";
export type { AllowedOriginData } from "./models/AllowedOriginData";
export type { AllowedOriginWhitelistSettings } from "./models/AllowedOriginWhitelistSettings";
export type { ApiKeyDataValues } from "./models/ApiKeyDataValues";
export type { ApiKeyDescription } from "./models/ApiKeyDescription";
export type { ApiKeyDetails } from "./models/ApiKeyDetails";
export type { ApiKeyDetails_PublicApiKey_ } from "./models/ApiKeyDetails_PublicApiKey_";
export type { ApiKeyDetails_SecretApiKey_ } from "./models/ApiKeyDetails_SecretApiKey_";
export type { ApiKeyId } from "./models/ApiKeyId";
export type { ApiKeyType } from "./models/ApiKeyType";
export type { AsyncResponse } from "./models/AsyncResponse";
export type { AwsAccessKey } from "./models/AwsAccessKey";
export type { AwsRegion } from "./models/AwsRegion";
export type { AwsSecretKey } from "./models/AwsSecretKey";
export type { Base64 } from "./models/Base64";
export type { BatchFileDeletionAccountJobType } from "./models/BatchFileDeletionAccountJobType";
export type { BeginMultipartUploadRequestV1 } from "./models/BeginMultipartUploadRequestV1";
export type { BeginMultipartUploadResponseV1 } from "./models/BeginMultipartUploadResponseV1";
export type { BeginMultipartUploadResponseV2 } from "./models/BeginMultipartUploadResponseV2";
export type { BeginUploadRequestV2 } from "./models/BeginUploadRequestV2";
export type { BigSizeInBytes } from "./models/BigSizeInBytes";
export type { BlacklistRule } from "./models/BlacklistRule";
export type { BytesByEpoch } from "./models/BytesByEpoch";
export type { CompleteUploadPartRequest } from "./models/CompleteUploadPartRequest";
export type { ContinuationToken } from "./models/ContinuationToken";
export type { ContinuationTokens } from "./models/ContinuationTokens";
export type { CustomDomainName } from "./models/CustomDomainName";
export type { CustomDomainNameTargetDomain } from "./models/CustomDomainNameTargetDomain";
export type { DailyMonthlyBytes } from "./models/DailyMonthlyBytes";
export type { DailyMonthlyDurations } from "./models/DailyMonthlyDurations";
export type { DailyMonthlyUploads } from "./models/DailyMonthlyUploads";
export type { DeepUnionPrimitives_TemplatePrototypeVariable_TransformationPrototype_ } from "./models/DeepUnionPrimitives_TemplatePrototypeVariable_TransformationPrototype_";
export type { DeleteApiKeyBatch } from "./models/DeleteApiKeyBatch";
export type { DeleteFileBatchRequestV1 } from "./models/DeleteFileBatchRequestV1";
export type { DeleteFileBatchRequestV2 } from "./models/DeleteFileBatchRequestV2";
export type { DeleteFolderBatchRequest } from "./models/DeleteFolderBatchRequest";
export type { DeleteFolderRequest } from "./models/DeleteFolderRequest";
export type { DeleteFolderScope } from "./models/DeleteFolderScope";
export type { DeleteTransformationsBatch } from "./models/DeleteTransformationsBatch";
export type { DepartmentName } from "./models/DepartmentName";
export type { DomainName } from "./models/DomainName";
export type { DownloadStatistics } from "./models/DownloadStatistics";
export type { DurationByEpoch } from "./models/DurationByEpoch";
export type { DynamicFilePath } from "./models/DynamicFilePath";
export type { EmailAddress } from "./models/EmailAddress";
export type { EpochMillis } from "./models/EpochMillis";
export type { ErrorResponse } from "./models/ErrorResponse";
export type { ETag } from "./models/ETag";
export type { FileApiV1PageSize } from "./models/FileApiV1PageSize";
export type { FileDetails } from "./models/FileDetails";
export type { FileExpiredMessage } from "./models/FileExpiredMessage";
export type { FileExpiredResponse } from "./models/FileExpiredResponse";
export type { FileExpiredResponse404 } from "./models/FileExpiredResponse404";
export type { FileExpiredResponse410 } from "./models/FileExpiredResponse410";
export type { FileExpiredResponseRedirect } from "./models/FileExpiredResponseRedirect";
export type { FileExpiredResponseRewrite } from "./models/FileExpiredResponseRewrite";
export type { FileId } from "./models/FileId";
export type { FileMetadata } from "./models/FileMetadata";
export type { FileName } from "./models/FileName";
export type { FileOrFolderPath } from "./models/FileOrFolderPath";
export type { FilePartCount } from "./models/FilePartCount";
export type { FilePath } from "./models/FilePath";
export type { FilePathDefinition } from "./models/FilePathDefinition";
export type { FileReadGrants } from "./models/FileReadGrants";
export type { FileSummaryExtended } from "./models/FileSummaryExtended";
export type { FileSummaryV2 } from "./models/FileSummaryV2";
export type { FileTag } from "./models/FileTag";
export type { FileTagList } from "./models/FileTagList";
export type { FileTagName } from "./models/FileTagName";
export type { FileTagPrefixSearch } from "./models/FileTagPrefixSearch";
export type { FileUniquifier } from "./models/FileUniquifier";
export type { FileWriteGrants } from "./models/FileWriteGrants";
export type { FirstName } from "./models/FirstName";
export type { FolderDeletionAccountJobType } from "./models/FolderDeletionAccountJobType";
export type { FolderDescription } from "./models/FolderDescription";
export type { FolderDetails } from "./models/FolderDetails";
export type { FolderPath } from "./models/FolderPath";
export type { FolderPublicPermissions } from "./models/FolderPublicPermissions";
export type { FolderReadGrants } from "./models/FolderReadGrants";
export type { FolderSettings_StorageLayerSummary_ } from "./models/FolderSettings_StorageLayerSummary_";
export type { FolderSettingsEffectiveSummary } from "./models/FolderSettingsEffectiveSummary";
export type { FolderSettingsSummary } from "./models/FolderSettingsSummary";
export type { FolderStatus } from "./models/FolderStatus";
export type { FolderSummary } from "./models/FolderSummary";
export type { FolderWriteGrants } from "./models/FolderWriteGrants";
export type { FreeTrialPackageId } from "./models/FreeTrialPackageId";
export type { FreeUploadPlanId } from "./models/FreeUploadPlanId";
export type { HttpUrl } from "./models/HttpUrl";
export type { InitializeAccountRequest } from "./models/InitializeAccountRequest";
export type { InitializeAccountResponse } from "./models/InitializeAccountResponse";
export type { InternalStorageV1 } from "./models/InternalStorageV1";
export type { InternalStorageV2 } from "./models/InternalStorageV2";
export type { Invitation } from "./models/Invitation";
export type { JobSummary } from "./models/JobSummary";
export type { JsonObject } from "./models/JsonObject";
export type { JsonPrimitive } from "./models/JsonPrimitive";
export type { Jwt } from "./models/Jwt";
export type { LastName } from "./models/LastName";
export type { ListFolderChildrenCursor } from "./models/ListFolderChildrenCursor";
export type { ListFolderChildrenLimit } from "./models/ListFolderChildrenLimit";
export type { ListFolderChildrenResponse } from "./models/ListFolderChildrenResponse";
export type { ListRecentJobsResponse } from "./models/ListRecentJobsResponse";
export type { MaxFileSizeRule } from "./models/MaxFileSizeRule";
export type { MaxSeats } from "./models/MaxSeats";
export type { Milliseconds } from "./models/Milliseconds";
export type { MimeScope } from "./models/MimeScope";
export type { MimeType } from "./models/MimeType";
export type { NonEmptyArray_TransformationDefinitionStep_ } from "./models/NonEmptyArray_TransformationDefinitionStep_";
export type { NonEmptyArray_TransformationDefinitionStepData_ } from "./models/NonEmptyArray_TransformationDefinitionStepData_";
export type { NonEmptySet_MimeScope_ } from "./models/NonEmptySet_MimeScope_";
export type { NonEmptySet_NpmUsername_ } from "./models/NonEmptySet_NpmUsername_";
export type { NonEmptySet_TagScope_ } from "./models/NonEmptySet_TagScope_";
export type { NonNegativeInt } from "./models/NonNegativeInt";
export type { NpmPackageName } from "./models/NpmPackageName";
export type { NpmUsername } from "./models/NpmUsername";
export type { ObjectSummary } from "./models/ObjectSummary";
export type { Omit_S3Storage_credentials_ } from "./models/Omit_S3Storage_credentials_";
export type { OrganizationName } from "./models/OrganizationName";
export type { OriginalFileName } from "./models/OriginalFileName";
export type { PaddlePlanId } from "./models/PaddlePlanId";
export type { Paginated_FileSummaryExtended_ } from "./models/Paginated_FileSummaryExtended_";
export type { PaidUploadPlanId } from "./models/PaidUploadPlanId";
export type { PatchFolderDescription } from "./models/PatchFolderDescription";
export type { PatchFolderPublicPermissions } from "./models/PatchFolderPublicPermissions";
export type { PatchFolderSettings } from "./models/PatchFolderSettings";
export type { PatchFolderStorageLayer } from "./models/PatchFolderStorageLayer";
export type { PathPattern } from "./models/PathPattern";
export type { PathPermissionGrants } from "./models/PathPermissionGrants";
export type { PathPermissionList } from "./models/PathPermissionList";
export type { PathPermissionReadGrants } from "./models/PathPermissionReadGrants";
export type { PathPermissions } from "./models/PathPermissions";
export type { PathPermissionScope } from "./models/PathPermissionScope";
export type { PathPermissionWriteGrants } from "./models/PathPermissionWriteGrants";
export type { PermaCacheStatistics } from "./models/PermaCacheStatistics";
export type { Pick_FileSummaryV2_Exclude_keyofFileSummaryV2_type__ } from "./models/Pick_FileSummaryV2_Exclude_keyofFileSummaryV2_type__";
export type { Pick_S3Storage_Exclude_keyofS3Storage_credentials__ } from "./models/Pick_S3Storage_Exclude_keyofS3Storage_credentials__";
export type { Plugin } from "./models/Plugin";
export type { PluginDefinition } from "./models/PluginDefinition";
export type { PluginDescription } from "./models/PluginDescription";
export type { PluginPackage } from "./models/PluginPackage";
export type { PluginParameterSchema } from "./models/PluginParameterSchema";
export type { PluginReference } from "./models/PluginReference";
export type { PluginSummary } from "./models/PluginSummary";
export type { PreSignedUploadUrl } from "./models/PreSignedUploadUrl";
export type { PublicApiKey } from "./models/PublicApiKey";
export type { PublicKey } from "./models/PublicKey";
export type { PublicKeyData } from "./models/PublicKeyData";
export type { PublicKeyFingerprint } from "./models/PublicKeyFingerprint";
export type { PublicKeyFingerprintHashAlgorithm } from "./models/PublicKeyFingerprintHashAlgorithm";
export type { PublicKeyId } from "./models/PublicKeyId";
export type { PublicKeyName } from "./models/PublicKeyName";
export type { PublicKeyPEM } from "./models/PublicKeyPEM";
export type { PutFolderRequest } from "./models/PutFolderRequest";
export type { RawFileUrl } from "./models/RawFileUrl";
export type { RelativeOrAbsoluteFilePath } from "./models/RelativeOrAbsoluteFilePath";
export type { RelativeOrAbsoluteFolderPath } from "./models/RelativeOrAbsoluteFolderPath";
export type { RemovePublicKeyBatch } from "./models/RemovePublicKeyBatch";
export type { RuleDescription } from "./models/RuleDescription";
export type { RuleErrorMessage } from "./models/RuleErrorMessage";
export type { RuleName } from "./models/RuleName";
export type { S3BucketName } from "./models/S3BucketName";
export type { S3ObjectKey } from "./models/S3ObjectKey";
export type { S3Storage } from "./models/S3Storage";
export type { S3StorageWithoutCredentials } from "./models/S3StorageWithoutCredentials";
export type { Seconds } from "./models/Seconds";
export type { SecretApiKey } from "./models/SecretApiKey";
export type { SemanticVersion } from "./models/SemanticVersion";
export type { SendInvitation } from "./models/SendInvitation";
export type { SetBlacklistRules } from "./models/SetBlacklistRules";
export type { SetMaxFileSizeRules } from "./models/SetMaxFileSizeRules";
export type { SetTtlRules } from "./models/SetTtlRules";
export type { SetUploadBandwidthRules } from "./models/SetUploadBandwidthRules";
export type { SetUploadCountRules } from "./models/SetUploadCountRules";
export type { SizeInBytes } from "./models/SizeInBytes";
export type { SizeInMegabytes } from "./models/SizeInMegabytes";
export type { SpecifiedFieldValue_FolderDescription_or_null_ } from "./models/SpecifiedFieldValue_FolderDescription_or_null_";
export type { SpecifiedFieldValue_FolderPublicPermissions_Array_or_null_ } from "./models/SpecifiedFieldValue_FolderPublicPermissions_Array_or_null_";
export type { SpecifiedFieldValue_StorageLayerUpdate_or_null_ } from "./models/SpecifiedFieldValue_StorageLayerUpdate_or_null_";
export type { StartTrialRequest } from "./models/StartTrialRequest";
export type { StorageLayerSummary } from "./models/StorageLayerSummary";
export type { StorageLayerUpdate } from "./models/StorageLayerUpdate";
export type { StorageStatistics } from "./models/StorageStatistics";
export type { StorageStatisticsByTime } from "./models/StorageStatisticsByTime";
export type { StorageStatisticsSegment } from "./models/StorageStatisticsSegment";
export type { SubscriptionPlanEffective } from "./models/SubscriptionPlanEffective";
export type { SwitchPlan } from "./models/SwitchPlan";
export type { TagPermissions } from "./models/TagPermissions";
export type { TagQuota_NonNegativeInt_ } from "./models/TagQuota_NonNegativeInt_";
export type { TagQuota_SizeInBytes_ } from "./models/TagQuota_SizeInBytes_";
export type { TagQuotaIdDefinition } from "./models/TagQuotaIdDefinition";
export type { TagScope } from "./models/TagScope";
export type { TagScopeCondition } from "./models/TagScopeCondition";
export type { TagScopeConditionAll } from "./models/TagScopeConditionAll";
export type { TagScopeConditionAnd } from "./models/TagScopeConditionAnd";
export type { TagScopeConditionAny } from "./models/TagScopeConditionAny";
export type { TagScopeConditionEquals } from "./models/TagScopeConditionEquals";
export type { TagScopeConditionNot } from "./models/TagScopeConditionNot";
export type { TagScopeConditionOr } from "./models/TagScopeConditionOr";
export type { Template } from "./models/Template";
export type { TemplateCategory } from "./models/TemplateCategory";
export type { TemplateDescription } from "./models/TemplateDescription";
export type { TemplateIcon } from "./models/TemplateIcon";
export type { TemplateKey } from "./models/TemplateKey";
export type { TemplateName } from "./models/TemplateName";
export type { TemplatePrototypeVariable } from "./models/TemplatePrototypeVariable";
export type { TemplateRef } from "./models/TemplateRef";
export type { TemplateSummary } from "./models/TemplateSummary";
export type { TransformationCachePolicy } from "./models/TransformationCachePolicy";
export type { TransformationDefinition } from "./models/TransformationDefinition";
export type { TransformationDefinitionData } from "./models/TransformationDefinitionData";
export type { TransformationDefinitionId } from "./models/TransformationDefinitionId";
export type { TransformationDefinitionStep } from "./models/TransformationDefinitionStep";
export type { TransformationDefinitionStepData } from "./models/TransformationDefinitionStepData";
export type { TransformationDescription } from "./models/TransformationDescription";
export type { TransformationScope } from "./models/TransformationScope";
export type { TransformationStatistics } from "./models/TransformationStatistics";
export type { TransformationTemplateConfig } from "./models/TransformationTemplateConfig";
export type { TransformationUrlSlug } from "./models/TransformationUrlSlug";
export type { TransformationUrlSlugPattern } from "./models/TransformationUrlSlugPattern";
export type { TtlRule } from "./models/TtlRule";
export type { TtlRuleDefinition } from "./models/TtlRuleDefinition";
export type { TTLSeconds } from "./models/TTLSeconds";
export type { UnspecifiedFieldValue } from "./models/UnspecifiedFieldValue";
export type { UpdatableField_FolderDescription_or_null_ } from "./models/UpdatableField_FolderDescription_or_null_";
export type { UpdatableField_FolderPublicPermissions_Array_or_null_ } from "./models/UpdatableField_FolderPublicPermissions_Array_or_null_";
export type { UpdatableField_StorageLayerUpdate_or_null_ } from "./models/UpdatableField_StorageLayerUpdate_or_null_";
export type { UploadBandwidthRule } from "./models/UploadBandwidthRule";
export type { UploadCountRule } from "./models/UploadCountRule";
export type { UploadId } from "./models/UploadId";
export type { UploadLimit } from "./models/UploadLimit";
export type { UploadPartIndex } from "./models/UploadPartIndex";
export type { UploadPartList } from "./models/UploadPartList";
export type { UploadPartRange } from "./models/UploadPartRange";
export type { UploadPartV1 } from "./models/UploadPartV1";
export type { UploadPartV2 } from "./models/UploadPartV2";
export type { UploadPlanId } from "./models/UploadPlanId";
export type { UploadsAtEpoch } from "./models/UploadsAtEpoch";
export type { UploadsByEpoch } from "./models/UploadsByEpoch";
export type { UploadStatistics } from "./models/UploadStatistics";
export type { UserBasicInformation } from "./models/UserBasicInformation";
export type { UserContext } from "./models/UserContext";
export type { UserContextAccount } from "./models/UserContextAccount";
export type { UserContextRules } from "./models/UserContextRules";
export type { UserId } from "./models/UserId";
export type { UserRoleType } from "./models/UserRoleType";
export type { UserSummary } from "./models/UserSummary";
export type { WebStorage } from "./models/WebStorage";
export type { WithFolderPath_FolderPublicPermissions_Array_ } from "./models/WithFolderPath_FolderPublicPermissions_Array_";
export type { WithFolderPath_StorageLayerSummary_ } from "./models/WithFolderPath_StorageLayerSummary_";

export { AccountsService } from "./services/AccountsService";
export { AllowedOriginsService } from "./services/AllowedOriginsService";
export { ApiKeysService } from "./services/ApiKeysService";
export { BillingService } from "./services/BillingService";
export { CdnAccessTokensService } from "./services/CdnAccessTokensService";
export { FilesV1Service } from "./services/FilesV1Service";
export { FilesV2Service } from "./services/FilesV2Service";
export { FoldersService } from "./services/FoldersService";
export { InvitationsService } from "./services/InvitationsService";
export { JobsService } from "./services/JobsService";
export { NpmService } from "./services/NpmService";
export { PluginsService } from "./services/PluginsService";
export { PublicKeysService } from "./services/PublicKeysService";
export { RulesService } from "./services/RulesService";
export { StatisticsService } from "./services/StatisticsService";
export { TransformationsService } from "./services/TransformationsService";
export { UploadsService } from "./services/UploadsService";
export { UsersService } from "./services/UsersService";
